#### Integrations

##### Code42
- Fixed issue where `code42-file-events-search` and `code42-securitydata-search` commands failed outside of incident context.
- New command ***code42-get-user-risk-profile*** for searching for retrieving details of a user risk profile.
- Updated the Docker image to *demisto/py42:1.0.0.58221*.

#### Layouts

##### Code42 Security Alert

- Reorganized layout
- Added new "Employee Data" section

#### Playbooks

##### New: Remove Employees from New Hire Watchlist

- Loops through New Hire watchlist entries from Code42 Incydr and removes employees based on specified criteria. (Available from Cortex XSOAR 6.8.0).

##### New: New Hire Auto-Add

- Queries stand-up tickets from a ticketing system and passes relevant employee data to the Add Employees to New Hire Watchlist playbook. (Available from Cortex XSOAR 6.8.0).

##### New: Add Employees to New Hire Watchlist

- Loops through stand-up tickets provided by the New Hire Auto-Add playbook and adds employees to the New Hire watchlist in Code42 Incydr. (Available from Cortex XSOAR 6.8.0).

##### New: Add Employees to Departing Employee Watchlist

- Loops through stand-down tickets provided by the Departing Employee Auto-Add playbook and adds employees to the Departing Employee watchlist in Code42 Incydr. (Available from Cortex XSOAR 6.8.0).

##### New: Code42 Security Alert

- Retrieves Incydr alert details, assigns the alert to an analyst, and gathers employee and supervisor data from Active Directory, if applicable. Note: this playbook can be used as an alternate default to "Code42 Exfiltration Playbook" when the Code42 Incydr integration is set to "Fetch Incidents". (Available from Cortex XSOAR 6.8.0).

##### New: Remove Employees from Departing Employee Watchlist

- Loops through Departing Employee watchlist entries from Code42 Incydr and removes employees based on specified criteria. (Available from Cortex XSOAR 6.8.0).

##### New: Departing Employee Auto-Add

- Queries stand-down tickets from a ticketing system and passes relevant employee data to the Add Employees to Departing Employee Watchlist playbook. (Available from Cortex XSOAR 6.8.0).

##### New: New Hire Clean-Up

- Queries the New Hire watchlist in Code42 Incydr and passes relevant employee data to the Remove Employees from New Hire Watchlist playbook. (Available from Cortex XSOAR 6.8.0).

##### New: Close Related XSOAR and Incydr Incidents

- Checks for open XSOAR incidents associated with Incydr alerts and passes them to the Check Incydr Status and Close XSOAR Incident playbook. (Available from Cortex XSOAR 6.8.0).

##### New: Departing Employee Clean-Up

- Queries the Departing Employee watchlist in Code42 Incydr and passes relevant employee data to the Remove Employees from Departing Employee Watchlist playbook. (Available from Cortex XSOAR 6.8.0).

##### New: Check Incydr Status and Close XSOAR Incident

- Loops through open XSOAR incidents and closes incidents created from Incydr alerts that are now dismissed. (Available from Cortex XSOAR 6.8.0).

##### New: Get Code42 Employee Information

- Receives usernames from a Code42 Incydr alert and queries Active Directory for employee and supervisor information, if applicable. (Available from Cortex XSOAR 6.8.0).

#### Scripts

##### Code42FileEventsToMarkdownTable

- Updated the Docker image to: *demisto/python3:3.10.11.57890*.
